> ## Documentation Index
> Fetch the complete documentation index at: https://safepay.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Aggregator Ledger Account

> Explore ledger account in detail



## OpenAPI

````yaml get /v1/aggregators/{raast-aggregator-id}/ledger/accounts
openapi: 3.1.0
info:
  title: Raast Wire
  version: 1.0.0
  description: ''
servers:
  - url: https://api.getsafepay.com/raastwire
security: []
tags:
  - name: Aggregators
  - name: Access Keys
  - name: Merchants
  - name: Raast Merchants
  - name: Payments
  - name: Refunds
  - name: QRs
  - name: Utilities
  - name: Aliases
  - name: Ledgers
  - name: Webhooks
paths:
  /v1/aggregators/{raast-aggregator-id}/ledger/accounts:
    parameters:
      - $ref: '#/components/parameters/AggregatorIdParam'
    get:
      tags:
        - Ledgers
      summary: Find Aggregator Ledger Account
      description: Explore ledger account in detail
      responses:
        '200':
          $ref: '#/components/responses/FindAggregatorLedgerAccountResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - apiKey: []
components:
  parameters:
    AggregatorIdParam:
      name: raast-aggregator-id
      in: path
      required: true
      schema:
        type: string
        example: agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e
      description: The unique identifier for the aggregator
  responses:
    FindAggregatorLedgerAccountResponse:
      description: This response contains details of an external aggregator ledger account
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/StandardResponse'
              - type: object
                properties:
                  data:
                    $ref: '#/components/schemas/LedgerAccount'
          examples:
            AggregatorLedgerAccountFound:
              value:
                api_version: v1
                data:
                  id: '3'
                  token: acct_a4a2ecaa-5d14-4330-970b-89c0d5c30934
                  account_type: ACCT_AGGREGATOR
                  account_name: DLocal
                  normal_balance: SIDE_CREDIT
                  balance: '0'
                  currency: PKR
                  running_balance: '0'
                  vault_token: lock_81f9c5db-3e7b-47f1-80b6-a1de8a762de8
                  bank_acct_id: acc_ff3555cc-149a-4883-9945-401170d0480d
                  external_partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
                  external_aggregator_id: agg_10951914-7e84-40e9-9693-19a22c8ede89
                  external_merchant_id: ''
                  created_at: '2025-10-26T21:39:39Z'
                  updated_at: '2025-12-16T18:39:17Z'
    Unauthorized:
      description: Unauthorized
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorEnvelope'
          examples:
            Unauthorized:
              value:
                api_version: v1
                error:
                  code: error.unauthorized_access
                  message: partner access key is required in request header
  headers:
    ContentLengthHeader:
      schema:
        type: string
        example: '256'
    DateHeader:
      schema:
        type: string
        example: Sat, 12 Aug 2023 08:55:04 GMT
  schemas:
    StandardResponse:
      type: object
      description: Standard response structure for successful operations
      properties:
        api_version:
          type: string
          example: v1
          description: The current version of the API spec
        data:
          type: object
          description: Contains the response data
    LedgerAccount:
      type: object
      description: ledger account record
      properties:
        id:
          type: string
        token:
          type: string
        account_type:
          type: string
        account_name:
          type: string
        normal_balance:
          type: string
        balance:
          type: string
        currency:
          type: string
        running_balance:
          type: string
        vault_token:
          type: string
        bank_acct_id:
          type: string
        external_partner_id:
          type: string
        external_aggregator_id:
          type: string
        external_merchant_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    ApiErrorEnvelope:
      type: object
      description: Error wrapper that includes the API version and error metadata
      properties:
        api_version:
          type: string
          description: Indicates the API version associated with the response
          example: v1
        error:
          description: Structured error details describing why the request failed
          allOf:
            - $ref: '#/components/schemas/ErrorResponse'
          example:
            code: error.unauthorized_access
            message: partner access key is required in request header
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        code:
          type: string
          description: Error code identifying the type of error
        message:
          type: string
          description: Human-readable error message
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-SFPY-AGGREGATOR-SECRET-KEY
      in: header

````